Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #1848 (closed defect: fixed)

Opened 11 years ago

Last modified 11 years ago

Madwifi kernel panic under Fedora 2.6.24.3-34.fc8 kernel

Reported by: Scott.Simpson@computer.org Assigned to:
Priority: critical Milestone: version 0.9.4
Component: madwifi: driver Version: v0.9.3.3
Keywords: kernel crash Cc:
Patch is attached: 0 Pending:

Description

I'm running Fedora 8 (MythTV) using 2.6.24.3-34.fc8 and I'm getting a kernel stack trace in the wifi driver. I didn't get a stack trace on 2.6.23.15-137.fc8. I'm running ATRPMs:

madwifi-hal-kmdl-2.6.24.3-34.fc8-0.9.3.3-39.fc8.i686.rpm madwifi-kmdl-2.6.24.3-34.fc8-0.9.3.3-39.fc8.i686.rpm

The system won't boot after this panic. Kernel panic stack is attached.

Attachments

madwifi_stack_trace.txt (6.9 kB) - added by Scott.Simpson@computer.org on 03/20/08 17:49:21.
madwifi /var/log/messages stack trace

Change History

03/20/08 17:49:21 changed by Scott.Simpson@computer.org

  • attachment madwifi_stack_trace.txt added.

madwifi /var/log/messages stack trace

06/04/08 10:27:39 changed by proski

  • status changed from new to closed.
  • resolution set to fixed.

Fixed in r2814. The fix is present in MadWifi 0.9.4.

06/06/08 09:22:18 changed by mrenzmann

  • milestone set to version 0.9.4.